Skip to main content
Fetch a shipment's tracking.
curl --request GET \
  --url https://api.cf.ovrsea.com/v1/tracking/{ovrsea_shipment_id}
import requests

url = "https://api.cf.ovrsea.com/v1/tracking/{ovrsea_shipment_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cf.ovrsea.com/v1/tracking/{ovrsea_shipment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ovrsea_shipment_id": "BATE",
  "status": "<string>",
  "tracking_steps": [
    {
      "location": {
        "id": 12345,
        "company_name": "Logistics WorldWide Co",
        "name": "Saint Quentin warehouse",
        "address": "357 allée des Tilleuls",
        "city": "Saint Quentin Fallavier",
        "zip_code": 69300,
        "country": "FR",
        "contacts": [
          {
            "name": "Thierry Henriet",
            "email": "log@patagonia.com",
            "phone": 33134567891
          }
        ],
        "opening_hours": "Monday to Friday 8am to 5pm",
        "requires_appointment": true,
        "requires_tailgate_truck": false,
        "additional_information": "Please avoid Friday after 4pm"
      },
      "port": {
        "unlocode": "FR/LEH",
        "city": "Le Havre",
        "country": "FR"
      },
      "events": [
        {
          "description": "Loaded on Vessel",
          "container_number": "MSDU8878398",
          "date": "2021-09-20T10:02:09+01:00"
        }
      ]
    }
  ],
  "initial_dates": {
    "eta": "2021-09-20T10:02:09+01:00",
    "etd": "2021-09-20T10:02:09+01:00",
    "delivery": "2021-09-20T10:02:09+01:00",
    "pickup": "2021-09-20T10:02:09+01:00"
  },
  "ocean_coordinates": [
    {
      "latitude": "48.858093",
      "longitude": "2.294694"
    }
  ]
}
{}

Path Parameters

ovrsea_shipment_id
string
required

Response

Returns tracking for a shipment

ovrsea_shipment_id
string
Example:

"BATE"

status
string
tracking_steps
object[]
initial_dates
object
ocean_coordinates
object[]